Author Topic: What are your favorite qt4/qt5 applications ?  (Read 24573 times)

0 Members and 1 Guest are viewing this topic.

Offline anex

  • Support Team
  • ****
  • Posts: 1332
  • Klarity » Manjaro » KDE
  • Branch: beyond unstable
  • Desktop: deepin » awesome » xfce » openbox » lxqt » mate » i3 » gnome » cinnamon » enlightenment » kde » pekwm
  • GPU Card: MSI N660 Gaming 2GD5/OC GeForce GTX 660 2GB
  • GPU driver: non-free
  • Kernel: 318
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #75 on: 23. June 2014, 11:42:21 »
uninstall b1 and reinstalled with that fix ah ok

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #76 on: 23. June 2014, 11:48:35 »
uninstall b1 and reinstalled with that fix ah ok

Yes, but it also requires that I integrate my buildiso. I'm not going to do it manually each time.  ;)
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline anex

  • Support Team
  • ****
  • Posts: 1332
  • Klarity » Manjaro » KDE
  • Branch: beyond unstable
  • Desktop: deepin » awesome » xfce » openbox » lxqt » mate » i3 » gnome » cinnamon » enlightenment » kde » pekwm
  • GPU Card: MSI N660 Gaming 2GD5/OC GeForce GTX 660 2GB
  • GPU driver: non-free
  • Kernel: 318
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #77 on: 23. June 2014, 11:52:59 »
na easy just do "yaourt -Sb --export ~/build_dir b1-free-archiver" and edit the pkgbuild directly and it will build both the b1-free-archiver package and libudev.so.0 package then put in your local repo and add to the build package list

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #78 on: 23. June 2014, 11:58:45 »
I do something as this, but I have a loop on the modified packages, and I keep them. Dont' forget that it's to do in 32 and 64 bits.

With too much manually operations, I'm almost sure I will forget some.

Btw, must I keep the 3.12 LTS or take the 3.14.8 ? Maybe a question for PhilM...  ::)
« Last Edit: 23. June 2014, 12:03:09 by Esclapion »
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline anex

  • Support Team
  • ****
  • Posts: 1332
  • Klarity » Manjaro » KDE
  • Branch: beyond unstable
  • Desktop: deepin » awesome » xfce » openbox » lxqt » mate » i3 » gnome » cinnamon » enlightenment » kde » pekwm
  • GPU Card: MSI N660 Gaming 2GD5/OC GeForce GTX 660 2GB
  • GPU driver: non-free
  • Kernel: 318
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #79 on: 23. June 2014, 12:03:29 »
Im sure you can use 3.14 , 3.12 is the 3 main editions and all community editions are free to use whatever kernel i believe

Offline schpankme

  • Held Mitglied
  • *****
  • Posts: 1600
  • High Carb / Low Fat / Vegan
  • Branch: Stable
  • Desktop: Qt..i3..OpenRC..Eudev
  • GPU Card: GTX 780 Ti
  • GPU driver: video-nouveau
  • Kernel: 4.4.45-1 x64
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #80 on: 23. June 2014, 12:18:57 »
Lxqt   :P

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #81 on: 23. June 2014, 14:17:20 »
What about weather display ?  ;)



gis-weather
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline qanjaro

  • Sr. Mitglied
  • ****
  • Posts: 356
  • Skill: Novice
Re: What are your favorite qt4/qt5 applications ?
« Reply #82 on: 23. June 2014, 15:52:42 »
qCheckGmail (https://github.com/mhogomchungu/qCheckGMail). There's a KDE version in AUR though it can be compiled as Qt-only (or even as a Lxpt panel plugin) too.

I use the fine old qgmailnotifier (http://qt-apps.org/content/show.php/?content=85979). Though not updated since 2008 its only glitch is a smaller icon.

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #83 on: 23. June 2014, 16:03:54 »
qcheckgmail depends on kdebase-runtime...  :-\
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline qanjaro

  • Sr. Mitglied
  • ****
  • Posts: 356
  • Skill: Novice
Re: What are your favorite qt4/qt5 applications ?
« Reply #84 on: 23. June 2014, 16:11:52 »
qcheckgmail depends on kdebase-runtime...  :-\

Yes, the AUR version, but if you go to the github link you can read how to compile as Qt-only or Lxqt panela plugin.

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #85 on: 23. June 2014, 16:43:15 »
I did it, but :

Code: [Select]
/tmp/qcheckgmail/src/qCheckGMail-1.2.6/src/qcheckgmailplugin.h:51: Error: Undefined interface
CMakeFiles/qCheckGMail.dir/build.make:78: recipe for target 'src/moc_qcheckgmailplugin.cxx' failed
make[2]: *** [src/moc_qcheckgmailplugin.cxx] Error 1
CMakeFiles/Makefile2:62: recipe for target 'CMakeFiles/qCheckGMail.dir/all' failed
make[1]: *** [CMakeFiles/qCheckGMail.dir/all] Error 2
Makefile:117: recipe for target 'all' failed
make: *** [all] Error 2
==> ERREUR : Une erreur s’est produite dans build().
    Abandon...

In all cases, at the begin, he says :

Code: [Select]
To build make sure you have the following packages installed(packages may be named differently in your distribution):

gcc
g++
cmake
kde-devel
qt4-devel
libgcrypt-devel

It's the 2nd time I have problems with this site (mhogomchungu).  The 1st was yesterday with lxqt-wallet.
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline qanjaro

  • Sr. Mitglied
  • ****
  • Posts: 356
  • Skill: Novice
Re: What are your favorite qt4/qt5 applications ?
« Reply #86 on: 23. June 2014, 16:45:31 »
Yes, sorry, I haven't compiled it either, though I had some time ago.

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: What are your favorite qt4/qt5 applications ?
« Reply #87 on: 24. June 2014, 16:08:16 »
Clementine changed for Cantata  + mpd.

qupzilla-git changed for qupzilla-qt5-git



  • a lot lighter
  • as much possibilities or more
  • Qt5

Both can read .flac without problem.
« Last Edit: 24. June 2014, 16:25:26 by Esclapion »
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline qanjaro

  • Sr. Mitglied
  • ****
  • Posts: 356
  • Skill: Novice
Re: What are your favorite qt4/qt5 applications ?
« Reply #88 on: 24. June 2014, 16:20:27 »
Very wise decision, bravo! (Just before I've ranted in the audio player thread!)

Offline Salinko

  • Held Mitglied
  • *****
  • Posts: 524
  • Branch: manjaro-xfce-16.06-pre1-x86_64 (unstable)
  • Desktop: Xfce 4.12.3
  • GPU Card: Gigabyte HD7870 GHz Edition
  • GPU driver: radeon free
  • Kernel: 4.5.0-2-MANJARO x86_64
  • Skill: Novice
Re: What are your favorite qt4/qt5 applications ?
« Reply #89 on: 25. June 2014, 03:06:15 »
Is there support for .cue sheets in mpd/cantata?

Edit: It appears there is.
« Last Edit: 25. June 2014, 06:52:21 by Salinko »